package com.ruixuan.launch.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 投流策略对象 kuaishou_launch_campaign_auto_strategy
 *
 * @author ruoyi
 * @date 2022-07-12
 */
@Data
public class KuaishouLaunchCampaignAutoStrategy {
    private static final long serialVersionUID = 1L;

    /**
     * 客户策略ID
     */
    private Long id;

    /**
     * 策略状态 1-使用 0-停用
     */
    @Excel(name = "策略状态 1-使用 0-停用")
    private Long state;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称")
    private String campaignName;

    /**
     * 计划类型	3：获取电商下单 13：小店商品推广 14：直播推广
     */
    @Excel(name = "计划类型	3：获取电商下单 13：小店商品推广 14：直播推广")
    private Integer campaignType;

    /**
     * 推广方式1：极速推广,2：专业推广（当前支持）
     */
    @Excel(name = "推广方式1：极速推广,2：专业推广", readConverterExp = "当=前支持")
    private Integer promotionType;


    /**
     * 计划单日预算
     */
    @Excel(name = "计划单日预算")
    private Long dayBudget;

    /**
     * 分日预算
     */
    @Excel(name = "分日预算")
    private String budgetSchedule;

    /**
     * 广告组名称
     */
    @Excel(name = "广告组名称")
    private String unitName;

    /**
     * 优化目标出价类型	10:OCPM (当前只支持 OCPM)
     */
    @Excel(name = "优化目标出价类型	10:OCPM (当前只支持 OCPM)")
    private Long bidType;

    /**
     * 转化目标集，72-粉丝关注，395-商品购买，192-ROI，740-进入直播间
     */
    @Excel(name = "转化目标集，72-粉丝关注，395-商品购买，192-ROI，740-进入直播间")
    private String ocpxActionArr;

    /**
     * 付费 ROI 系数
     */
    @Excel(name = "付费 ROI 系数")
    private BigDecimal roiRatio;

    /**
     * 资源位置
     */
    @Excel(name = "资源位置")
    private String sceneId;

    /**
     * 创意制作方式 4: 自定义
     */
    @Excel(name = "创意制作方式 4: 自定义")
    private Integer unitType;

    /**
     * 投放开始时间
     */
    @Excel(name = "投放开始时间")
    private String beginTimeStr;

    /**
     * 投放结束时间
     */
    @Excel(name = "投放结束时间")
    private String endTimeStr;

    /**
     * 投放时间段
     */
    @Excel(name = "投放时间段")
    private String scheduleTime;

    /**
     * 组单日预算
     */
    @Excel(name = "组单日预算")
    private Long groupDayBudget;

    /**
     * 辅助类型0-小店3-金牛
     */
    @Excel(name = "辅助类型0-小店3-金牛")
    private Integer supportType;

    /**
     * 创意展现方式  0：未知， 1：轮播，
     */
    @Excel(name = "创意展现方式  0：未知， 1：轮播，")
    private Long showMode;

    /**
     * 投放方式
     */
    @Excel(name = "投放方式")
    private Long speed;

    /**
     * 电商关联Id (小店通商品推广，计划 type=13)
     */
    @Excel(name = "电商关联Id (小店通商品推广，计划 type=13)")
    private Long itemId;

    /**
     * 电商广告投放类型 0: 商品，2: 个人主页
     */
    @Excel(name = "电商广告投放类型 0: 商品，2: 个人主页")
    private Long merchantItemPutType;

    /**
     * 直播挂车 id
     */
    @Excel(name = "直播挂车 id")
    private Long shoppingCarProductId;

    /**
     * 主播 id
     */
    @Excel(name = "主播 id")
    private Long liveUserId;

    /**
     * 定向模板集
     */
    @Excel(name = "定向模板集")
    private String targetTemplate;

    /**
     * 创意名称
     */
    @Excel(name = "创意名称")
    private String creativeName;

    /**
     * 封面 直播直投传""
     */
    @Excel(name = "封面 直播直投传''")
    private String coverUrl;

    /**
     * 封面宽 直播直投传 0
     */
    @Excel(name = "封面宽 直播直投传 0")
    private Long coverWidth;

    /**
     * 封面高 直播直投传 0
     */
    @Excel(name = "封面高 直播直投传 0")
    private Long coverHeight;

    /**
     * 视频ID	直播直投传 0
     */
    @Excel(name = "视频ID	直播直投传 0")
    private String photoId;

    /**
     * 素材类型	1：竖版视频 2：横版视频 ，直播直投传 0
     */
    @Excel(name = "素材类型	1：竖版视频 2：横版视频 ，直播直投传 0")
    private Integer creativeMaterialType;

    /**
     * 行动号召按钮文案
     */
    @Excel(name = "行动号召按钮文案")
    private String actionBar;

    /**
     * 商品推荐语
     */
    @Excel(name = "商品推荐语")
    private String recommendation;

    /**
     * 作品标题
     */
    @Excel(name = "作品标题")
    private String description;

    /**
     * 推荐理由描述
     */
    @Excel(name = "推荐理由描述")
    private String newExposeText;

    /**
     * 推荐理由url
     */
    @Excel(name = "推荐理由url")
    private String newExposeUrl;

    /**
     * 作品类型（小店直播推广类型，计划 type=14	1 - 直投直播；2 - 视频引流直播）
     */
    @Excel(name = "作品类型", readConverterExp = "小=店直播推广类型，计划,t=ype=14	1,-=,直=投直播；2,-=,视=频引流直播")
    private Integer liveCreativeType;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    private String createrId;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}