package com.ruixuan.launch.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 广告创意信息对象 kuaishou_launch_creative
 */
@Data
public class KuaishouLaunchCreative {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String id;

    /**
     * 账户ID
     */
    @Excel(name = "账户ID")
    private Long accountId;

    /**
     * 计划ID
     */
    @Excel(name = "计划ID")
    private Long campaignId;

    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID")
    private Long unitId;

    /**
     * 日期
     */
    @Excel(name = "日期")

    private String statDate;
    /**
     * 广告创意ID
     */
    @Excel(name = "广告创意ID")
    private Long creativeId;

    /**
     * 创意名称
     */
    @Excel(name = "创意名称")
    private String creativeName;

    /**
     * 封面 直播直投传""
     */
    @Excel(name = "封面 直播直投传''")
    private String coverUrl;

    /**
     * 封面宽 直播直投传 0
     */
    @Excel(name = "封面宽 直播直投传 0")
    private Long coverWidth;

    /**
     * 封面高 直播直投传 0
     */
    @Excel(name = "封面高 直播直投传 0")
    private Long coverHeight;

    /**
     * 视频ID	直播直投传 0
     */
    @Excel(name = "视频ID	直播直投传 0")
    private String photoId;

    /**
     * 素材类型	1：竖版视频 2：横版视频 ，直播直投传 0
     */
    @Excel(name = "素材类型	1：竖版视频 2：横版视频 ，直播直投传 0")
    private Integer creativeMaterialType;

    /**
     * 行动号召按钮文案
     */
    @Excel(name = "行动号召按钮文案")
    private String actionBar;

    /**
     * 商品推荐语
     */
    @Excel(name = "商品推荐语")
    private String recommendation;

    /**
     * 作品标题
     */
    @Excel(name = "作品标题")
    private String description;

    /**
     * 推荐理由描述
     */
    @Excel(name = "推荐理由描述")
    private String newExposeText;

    /**
     * 推荐理由url
     */
    @Excel(name = "推荐理由url")
    private String newExposeUrl;

    /**
     * 作品类型（小店直播推广类型，计划 type=14	1 - 直投直播；2 - 视频引流直播）
     */
    @Excel(name = "作品类型", readConverterExp = "小=店直播推广类型，计划,t=ype=14	1,-=,直=投直播；2,-=,视=频引流直播")
    private Integer liveCreativeType;

    /**
     * 投放状态 1-投放、2-暂停
     */
    @Excel(name = "投放状态 1-投放、2-暂停")
    private Integer putStatus;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}