package com.ruixuan.launch.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.launch.entity.KuaishouLaunchCampaignAutoStrategy;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 投流策略Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-05
 */
public interface KuaishouLaunchCampaignAutoStrategyMapper {
    /**
     * 查询投流策略
     *
     * @param id 投流策略主键
     * @return 投流策略
     */
    public KuaishouLaunchCampaignAutoStrategy selectKuaishouLaunchCampaignAutoStrategyById(Long id);

    /**
     * 查询投流策略列表
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 投流策略集合
     */
    public List<JSONObject> selectKuaishouLaunchCampaignAutoStrategyList(@Param("campaignName") String campaignName, @Param("accountName") String accountName);

    /**
     * 新增投流策略
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 结果
     */
    public int insertKuaishouLaunchCampaignAutoStrategy(KuaishouLaunchCampaignAutoStrategy kuaishouLaunchCampaignAutoStrategy);

    /**
     * 修改投流策略
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 结果
     */
    public int updateKuaishouLaunchCampaignAutoStrategy(KuaishouLaunchCampaignAutoStrategy kuaishouLaunchCampaignAutoStrategy);

    /**
     * 删除投流策略
     *
     * @param id 投流策略主键
     * @return 结果
     */
    public int deleteKuaishouLaunchCampaignAutoStrategyById(Long id);

}