package com.ruixuan.launch.mapper;

import com.ruixuan.launch.entity.KuaishouLaunchCampaignRecord;

import java.util.List;

/**
 * 广告计划信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-14
 */
public interface KuaishouLaunchCampaignRecordMapper {
    /**
     * 查询广告计划信息
     *
     * @param id 广告计划信息主键
     * @return 广告计划信息
     */
    public KuaishouLaunchCampaignRecord selectKuaishouLaunchCampaignRecordById(String id);

    /**
     * 查询广告计划信息列表
     *
     * @param kuaishouLaunchCampaignRecord 广告计划信息
     * @return 广告计划信息集合
     */
    public List<KuaishouLaunchCampaignRecord> selectKuaishouLaunchCampaignRecordList(KuaishouLaunchCampaignRecord kuaishouLaunchCampaignRecord);

    /**
     * 新增广告计划信息
     *
     * @param kuaishouLaunchCampaignRecord 广告计划信息
     * @return 结果
     */
    public int insertKuaishouLaunchCampaignRecord(KuaishouLaunchCampaignRecord kuaishouLaunchCampaignRecord);

    /**
     * 修改广告计划信息
     *
     * @param kuaishouLaunchCampaignRecord 广告计划信息
     * @return 结果
     */
    public int updateKuaishouLaunchCampaignRecord(KuaishouLaunchCampaignRecord kuaishouLaunchCampaignRecord);

    /**
     * 删除广告计划信息
     *
     * @param id 广告计划信息主键
     * @return 结果
     */
    public int deleteKuaishouLaunchCampaignRecordById(String id);

    /**
     * 批量删除广告计划信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLaunchCampaignRecordByIds(String[] ids);
}