package com.ruixuan.launch.service;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.launch.entity.KuaishouLaunchCampaignAutoStrategy;

import java.util.List;

/**
 * 投流策略Service接口
 *
 * @author ruoyi
 * @date 2022-07-05
 */
public interface IKuaishouLaunchCampaignAutoStrategyService {
    /**
     * 查询投流策略
     *
     * @param id 投流策略主键
     * @return 投流策略
     */
    public KuaishouLaunchCampaignAutoStrategy selectKuaishouLaunchCampaignAutoStrategyById(Long id);

    /**
     * 查询投流策略列表
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 投流策略集合
     */
    public List<JSONObject> selectKuaishouLaunchCampaignAutoStrategyList(String campaignName, String accountName);

    /**
     * 新增投流策略
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 结果
     */
    ResultResponse insertKuaishouLaunchCampaignAutoStrategy(JSONObject requestJson);

    /**
     * 修改投流策略
     *
     * @param kuaishouLaunchCampaignAutoStrategy 投流策略
     * @return 结果
     */
    public int updateKuaishouLaunchCampaignAutoStrategy(JSONObject requestJson);

    ResultResponse createByStrategy(Long id);
}