package com.ruixuan.data.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.data.entity.KuaishouLiveDataAnalysis;
import com.ruixuan.live.entity.KuaishouLiveBroadcast;

import java.util.List;

/**
 * 商品分析数据Service接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface IKuaishouLiveDataAnalysisService {
    /**
     * 查询商品分析数据
     *
     * @param ksId 商品分析数据主键
     * @return 商品分析数据
     */
    public KuaishouLiveDataAnalysis selectKuaishouLiveDataAnalysisByKsId(Long ksId);

    /**
     * 查询商品分析数据列表
     *
     * @param kuaishouLiveDataAnalysis 商品分析数据
     * @return 商品分析数据集合
     */
    public List<KuaishouLiveDataAnalysis> selectKuaishouLiveDataAnalysisList(KuaishouLiveDataAnalysis kuaishouLiveDataAnalysis);

    /**
     * 新增商品分析数据
     *
     * @param kuaishouLiveDataAnalysis 商品分析数据
     * @return 结果
     */
    public int insertKuaishouLiveDataAnalysis(KuaishouLiveDataAnalysis kuaishouLiveDataAnalysis);

    /**
     * 修改商品分析数据
     *
     * @param kuaishouLiveDataAnalysis 商品分析数据
     * @return 结果
     */
    public int updateKuaishouLiveDataAnalysis(KuaishouLiveDataAnalysis kuaishouLiveDataAnalysis);

    /**
     * 批量删除商品分析数据
     *
     * @param ksIds 需要删除的商品分析数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveDataAnalysisByKsIds(Long[] ksIds);

    /**
     * 删除商品分析数据信息
     *
     * @param ksId 商品分析数据主键
     * @return 结果
     */
    public int deleteKuaishouLiveDataAnalysisByKsId(Long ksId);

    int inserExcelInfo(KuaishouLiveBroadcast broadcast,List<JSONObject> list) throws Exception;
}
