package com.ruixuan.data.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.data.entity.KuaishouLiveDataFunnel;
import com.ruixuan.live.entity.KuaishouLiveBroadcast;

import java.util.List;

/**
 * 直播漏斗数据Service接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface IKuaishouLiveDataFunnelService {
    /**
     * 查询直播漏斗数据
     *
     * @param ksId 直播漏斗数据主键
     * @return 直播漏斗数据
     */
    public KuaishouLiveDataFunnel selectKuaishouLiveDataFunnelByKsId(Long ksId);

    /**
     * 查询直播漏斗数据列表
     *
     * @param kuaishouLiveDataFunnel 直播漏斗数据
     * @return 直播漏斗数据集合
     */
    public List<KuaishouLiveDataFunnel> selectKuaishouLiveDataFunnelList(KuaishouLiveDataFunnel kuaishouLiveDataFunnel);

    /**
     * 新增直播漏斗数据
     *
     * @param kuaishouLiveDataFunnel 直播漏斗数据
     * @return 结果
     */
    public int insertKuaishouLiveDataFunnel(KuaishouLiveDataFunnel kuaishouLiveDataFunnel);

    /**
     * 修改直播漏斗数据
     *
     * @param kuaishouLiveDataFunnel 直播漏斗数据
     * @return 结果
     */
    public int updateKuaishouLiveDataFunnel(KuaishouLiveDataFunnel kuaishouLiveDataFunnel);

    /**
     * 批量删除直播漏斗数据
     *
     * @param ksIds 需要删除的直播漏斗数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveDataFunnelByKsIds(Long[] ksIds);

    /**
     * 删除直播漏斗数据信息
     *
     * @param ksId 直播漏斗数据主键
     * @return 结果
     */
    public int deleteKuaishouLiveDataFunnelByKsId(Long ksId);

    int inserExcelInfo(KuaishouLiveBroadcast broadcast,List<JSONObject> list) throws Exception;
}
