package com.ruixuan.isc.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.utils.Check;
import com.ruixuan.common.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 快手电商-供应链订单信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2022-12-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "kuaishou_supply_chain对象", description = "快手电商-供应链订单信息")
public class KuaishouSupplyChain {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 订单ID
     */
    @Excel(name = "订单ID", width = 15)
    @ApiModelProperty(value = "订单ID")
    private Long oid;
    /**
     * 商品ID
     */
    @Excel(name = "商品ID", width = 15)
    @ApiModelProperty(value = "商品ID")
    private Long itemId;
    /**
     * 商品标题
     */
    @Excel(name = "商品标题", width = 15)
    @ApiModelProperty(value = "商品标题")
    private String itemTitle;
    /**
     * 商品单价
     */
    @Excel(name = "商品单价", width = 15)
    @ApiModelProperty(value = "商品单价")
    private Long reservePrice;
    /**
     * 商品图片
     */
    @Excel(name = "商品图片", width = 15)
    @ApiModelProperty(value = "商品图片")
    private String imageUrl;
    /**
     * 订单状态
     */
    @Excel(name = "订单状态", width = 15)
    @ApiModelProperty(value = "订单状态")
    private Integer orderStatus;
    /**
     * 订单创建时间
     */
    @Excel(name = "订单创建时间", width = 15)
    @ApiModelProperty(value = "订单创建时间")
    private Long orderCreateTime;
    /**
     * 是否发货
     */
    @Excel(name = "是否发货", width = 15)
    @ApiModelProperty(value = "是否发货")
    private Integer sendStatus;
    /**
     * 订单类型
     */
    @Excel(name = "订单类型", width = 15)
    @ApiModelProperty(value = "订单类型")
    private Integer settlementBizType;
    /**
     * 订单类型翻译
     */
    @Excel(name = "订单类型翻译", width = 15)
    @ApiModelProperty(value = "订单类型翻译")
    private String settlementBizTypeDesc;
    /**
     * 发货时间
     */
    @Excel(name = "发货时间", width = 15)
    @ApiModelProperty(value = "发货时间")
    private Long sendTime;
    /**
     * 收获时间
     */
    @Excel(name = "收获时间", width = 15)
    @ApiModelProperty(value = "收获时间")
    private Long recvTime;
    /**
     * 商家id
     */
    @Excel(name = "商家id", width = 15)
    @ApiModelProperty(value = "商家id")
    private Long sellerId;
    /**
     * 达人id
     */
    @Excel(name = "达人id", width = 15)
    @ApiModelProperty(value = "达人id")
    private Long promoterId;
    /**
     * 达人昵称
     */
    @Excel(name = "达人昵称", width = 15)
    @ApiModelProperty(value = "达人昵称")
    private String promoterNickName;
    /**
     * 活动id
     */
    @Excel(name = "活动id", width = 15)
    @ApiModelProperty(value = "活动id")
    private Long activityId;
    /**
     * 订单金额
     */
    @Excel(name = "订单金额", width = 15)
    @ApiModelProperty(value = "订单金额")
    private Long orderAmount;
    /**
     * 付款金额
     */
    @Excel(name = "付款金额", width = 15)
    @ApiModelProperty(value = "付款金额")
    private Long payAmount;
    /**
     * 服务费率
     */
    @Excel(name = "服务费率", width = 15)
    @ApiModelProperty(value = "服务费率")
    private Long regimentalPromotionRate;
    /**
     * 分成比例
     */
    @Excel(name = "分成比例", width = 15)
    @ApiModelProperty(value = "分成比例")
    private String shareRate;
    /**
     * 货款基数
     */
    @Excel(name = "货款基数", width = 15)
    @ApiModelProperty(value = "货款基数")
    private Long baseAmount;
    /**
     * 技术服务费
     */
    @Excel(name = "技术服务费", width = 15)
    @ApiModelProperty(value = "技术服务费")
    private Long serviceAmount;
    /**
     * 预估服务费收入
     */
    @Excel(name = "预估服务费收入", width = 15)
    @ApiModelProperty(value = "预估服务费收入")
    private Long regimentalPromotionAmount;
    /**
     * 结算服务费收入
     */
    @Excel(name = "结算服务费收入", width = 15)
    @ApiModelProperty(value = "结算服务费收入")
    private Long totalRegimentalSettleAmount;
    /**
     * 佣金率
     */
    private Long itemCommissionRate;
    /**
     * 团长ID
     */
    private Long regimentalId;
    private Date createTime;
    private Date updateTime;
    private String statDate;
    private Integer statHour;
    /**
     * 二级团Id
     */
    private Long secondActivityUserId;
    /**
     * 二级团长活动ID
     */
    private Long secondActivityId;
    /**
     * '商家昵称快照'
     */
    private String sellerNickName;
    /**
     * skuId
     */
    private Long skuId;

    /**
     * 商品数量
     */
    private Long num;

    /**
     * 一级团的支出服务费，分（二级团长结算金额
     */
    private Long expendRegimentalSettleAmount;

    /**
     * 一级团长预估支出服务费，千分之一分（二级团长预估收入)
     */
    private Long expendEstimateSettleAmount;

    /**
     * 一级团长预估支出服务费率（二级团长的预估收入服务费率)
     */
    private Long expendRegimentalPromotionRate;
    /**
     * 奖励服务费收入（分）
     */
    private Long excitationIncome;
    /**
     * 接单服务费收入（分
     */
    private Long serviceIncome;
    /**
     * 资金流转类型 [1:服务费收入订单] [2:服务费支出订单]
     */
    private Integer fundType;
    /**
     * 二级团长服务费（分)
     */
    private Long secondServiceAmount;
    /**
     * 达人佣金率，千分比（分)
     */
    private Long promoterCommissionRate;

    public KuaishouSupplyChain() {

    }

    public KuaishouSupplyChain(JSONObject info) {
        this.setOid(info.getLong("oid"));
        JSONObject orderProductInfo = info.getJSONObject("orderProductInfo");
        if (!Check.isNull(orderProductInfo)) {
            this.setItemId(orderProductInfo.getLong("itemId"));
            this.setItemTitle(orderProductInfo.getString("itemTitle"));
            this.setReservePrice(orderProductInfo.getLong("itemPrice"));
            this.setImageUrl(orderProductInfo.getString("itemUrl"));
            this.setSellerId(orderProductInfo.getLong("sellerId"));
            this.setSellerNickName(orderProductInfo.getString("sellerNickName"));
        }

        this.setOrderStatus(info.getInteger("cpsOrderStatus"));
        this.setOrderCreateTime(info.getLong("orderCreateTime"));
        this.setSendStatus(info.getInteger("sendStatus"));
        this.setSettlementBizType(info.getInteger("settlementBizType"));
        this.setSettlementBizTypeDesc(1 == info.getInteger("settlementBizType") ? "快分销" : "快手聚力计划");
        this.setSendTime(info.getLong("sendTime"));
        this.setRecvTime(info.getLong("recvTime"));

        JSONObject orderUserInfo = info.getJSONObject("orderUserInfo");
        if (!Check.isNull(orderUserInfo)) {
            this.setRegimentalId(orderUserInfo.getLong("activityUserId"));
            this.setActivityId(orderUserInfo.getLong("activityId"));
            this.setPromoterId(orderUserInfo.getLong("promotionId"));
            this.setPromoterNickName(orderUserInfo.getString("promotionNickName"));
            this.setSecondActivityUserId(orderUserInfo.getLong("secondActivityUserId"));
            this.setSecondActivityId(orderUserInfo.getLong("secondActivityId"));
        }
        this.setOrderAmount(info.getLong("orderTradeAmount"));
        this.setPayAmount(info.getLong("payAmount"));
        this.setRegimentalPromotionRate(info.getLong("regimentalPromotionRate"));
        if (!info.getString("shareRateStr").contains("正在计算中")) {
            this.setShareRate(info.getString("shareRateStr"));
        }
        this.setBaseAmount(info.getLong("baseAmount"));
        this.setServiceAmount(info.getLong("serviceAmount"));
        this.setRegimentalPromotionAmount(info.getLong("regimentalPromotionAmount"));
        this.setTotalRegimentalSettleAmount(0L);//待结算 预估填入
        this.setStatDate(DateUtils.timestamptoStr(info.getLong("orderCreateTime")));
        this.setStatHour(DateUtils.timestamptoHour(info.getLong("orderCreateTime")));
        this.setExpendRegimentalSettleAmount(info.getLong("expendRegimentalSettleAmount"));
        this.setExpendEstimateSettleAmount(info.getLong("expendEstimateSettleAmount"));
        this.setExpendRegimentalPromotionRate(info.getLong("expendRegimentalPromotionRate"));
        this.setSecondServiceAmount(info.getLong("secondServiceAmount"));
        this.setPromoterCommissionRate(info.getLong("promoterCommissionRate"));
    }

    public KuaishouSupplyChain(JSONObject info, String type) {
        this.setOid(info.getLong("oid"));
        this.setRegimentalId(info.getLong("activityUserId"));
        this.setActivityId(info.getLong("activityId"));
        this.setSecondActivityId(info.getLong("secondActivityId"));
        this.setOrderStatus(info.getInteger("cpsOrderStatus"));
        this.setOrderCreateTime(info.getLong("orderCreateTime"));
        this.setOrderAmount(info.getLong("orderTradeAmount"));
        this.setPayAmount(info.getLong("payAmount"));
        this.setRegimentalPromotionRate(info.getLong("regimentalPromotionRate"));
        Long regimentalPromotionAmount = info.getLong("regimentalPromotionAmount");
        if (!Check.isNull(regimentalPromotionAmount)) {
            this.setRegimentalPromotionAmount(regimentalPromotionAmount / 1000);
        }
        if (info.getInteger("cpsOrderStatus") == 60 && !Check.isNull(regimentalPromotionAmount)) {
            this.setTotalRegimentalSettleAmount(regimentalPromotionAmount / 1000);//待结算 预估填入
        } else {
            this.setTotalRegimentalSettleAmount(0L);//待结算 预估填入
        }
        JSONArray cpsOrderProductView = info.getJSONArray("cpsOrderProductView");
        if (!Check.isNull(cpsOrderProductView)) {
            JSONObject object = cpsOrderProductView.getJSONObject(0);
            this.setItemId(object.getLong("itemId"));
            this.setItemTitle(object.getString("itemTitle"));
            this.setReservePrice(object.getLong("itemPrice"));
            this.setImageUrl(object.getString("itemUrl"));
            this.setSellerId(object.getLong("sellerId"));
            this.setSellerNickName(object.getString("sellerNickName"));
            this.setSkuId(object.getLong("skuId"));
            this.setNum(object.getLong("num"));
        }
        this.setStatDate(DateUtils.timestamptoStr(info.getLong("orderCreateTime")));
        this.setStatHour(DateUtils.timestamptoHour(info.getLong("orderCreateTime")));
        this.setSendTime(info.getLong("sendTime"));
        this.setSendStatus(info.getInteger("sendStatus"));
        this.setRecvTime(info.getLong("recvTime"));
        this.setPromoterId(info.getLong("promotionId"));
        this.setPromoterNickName(info.getString("promotionNickName"));
        this.setExpendRegimentalSettleAmount(info.getLong("expendRegimentalSettleAmount"));
        this.setExpendEstimateSettleAmount(info.getLong("expendEstimateSettleAmount"));
        this.setExpendRegimentalPromotionRate(info.getLong("expendRegimentalPromotionRate"));
        this.setBaseAmount(info.getLong("baseAmount"));
        if (!info.getString("shareRateStr").contains("正在计算中")) {
            this.setShareRate(info.getString("shareRateStr"));
        }
        this.setExcitationIncome(info.getLong("excitationInCome"));
        this.setServiceIncome(info.getLong("serviceIncome"));
        this.setSettlementBizType(info.getInteger("settlementBizType"));
        this.setSettlementBizTypeDesc(1 == info.getInteger("settlementBizType") ? "快分销" : "快手聚力计划");
        this.setFundType(info.getInteger("fundType"));
        this.setServiceAmount(info.getLong("serviceAmount"));
        this.setSecondServiceAmount(info.getLong("secondServiceAmount"));
        this.setPromoterCommissionRate(info.getLong("promoterCommissionRate"));
    }

}
