package com.ruixuan.isc.entity;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Check;
import com.ruixuan.common.utils.DateUtils;
import lombok.Data;

/**
 * kwaixiaodian商品详情对象 kwaixiaodian_item_get
 */
@Data
public class KwaixiaodianOrderCursorList {

    /**
     * 公司ID
     */
    private Long companyId;


    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 订单ID
     */
    private Long oid;

    /**
     * 付款时间
     */
    private Long payTime;

    /**
     * 买家图像
     */
    private String buyerImage;

    /**
     * 买家ID
     */
    private String buyerOpenId;

    /**
     * 买家昵称
     */
    private String buyerNick;

    /**
     * 卖家ID
     */
    private String sellerOpenId;

    /**
     * 卖家名称
     */
    private String sellerNick;

    /**
     * 运费
     */
    private Long expressFee;

    /**
     * 促销减价、折扣价格
     */
    private Long discountFee;

    /**
     * 子订单商品总价
     */
    private Long totalFee;

    /**
     * 订订单状态：[0, "未知状态"], [10, "待付款"], [30, "已付款/待发货"], [40, "已发货"], [50, "已签收"], [70, "订单成功"], [80, "订单失败/订单关闭"];订单取消会转为“订单失败”状态
     */
    private Long status;

    /**
     * 发货时间
     */
    private Long sendTime;

    /**
     * 发起退款时间
     */
    private Long refundTime;

    /**
     * 发货超时间隔时间，单位：天
     */
    private Long theDayOfDeliverGoodsTime;

    /**
     * 不推荐，固定计算逻辑，订单支付时间+承诺发货时间间隔，只作为无任何特殊场景的普通商品订单的承诺发货时间点，时间戳格式
     */
    private Long promiseTimeStampOfDelivery;

    /**
     * 分销类型 0-全部 1-普通订单 2-分销订单
     */
    private Long cpsType;

    /**
     * 1543843735000	【商家承诺发货时间】 推荐使用，动态计算逻辑计算的实际商家承诺发货时间，所有场景（如普通、延迟发货报备、预售、风控、拼团、车品等）等综合对比计算出的承诺发货时间点，时间戳格式，若值为0表示订单不能发货
     */
    private Long validPromiseShipmentTimeStamp;

    /**
     * 库存预售： 0-非预售 1-预售，该字段为库存预售，定金预售为orderStepInfo.payStepType字段
     */
    private Long preSale;

    /**
     * 收货时间
     */
    private Long recvTime;

    /**
     * [未知：0]；[券包：2]；[话费充值：3]；[跨境：8]；[预约有价优惠券：24]
     */
    private Long coType;

    /**
     * 评价状态： 0未评价，1评价
     */
    private Long commentStatus;

    /**
     * 支付方式 0:未知, 1:微信, 2:支付宝, 3:平安, 99:银行转账. 88:支付宝先用后付
     */
    private Long payType;

    /**
     * 风险Code码，10001=黑产订单，不建议商家发货
     */
    private Long riskCode;

    /**
     * 支付方式
     */
    private String payChannel;

    /**
     * 商家报备审核后的发货时间，审核通过后，商家发货时效判罚标准以该时间为准
     */
    private Long sellerDelayPromiseTimeStamp;

    /**
     * 是否优先发货
     */
    private String priorityDelivery;

    /**
     * 催发货次数
     */
    private Long remindShipmentSign;

    /**
     * 最近催发货时间戳
     */
    private Long remindShipmentTime;

    /**
     * 订单售卖信息
     */
    private String orderSellerRoleInfo;

    /**
     * 【履约拦截标】订单阻塞发货(hold单)code码：[1:多人拼团活动进行中]、[2:支付后风控审核中]，字段有值时不允许发货
     */
    private String disableDeliveryReasonCode;

    /**
     * 活动订单编号
     */
    private Long multiplePiecesNo;

    /**
     * 存在多个值，活动类型列表 0:未知, 1:非活动[废弃值，不要关注], 2:0元抽奖, 3:老铁团, 4:一分夺宝, 5:福袋抽奖, 6:定金预售, 7:2022暑期众筹, 8:下单返金币, 9:会员充值, 10:万人讲价, 11:万人讲价-预售版, 12:买样后返, 13:粉丝组合价, 14:搭配购, 15:尾款立减 16:顺手买一件, 17:多人拼团, 18:赠品活动-主品, 19:赠品活动-赠品
     * 20:万人团活动, 21:n元m件
     */
    private String allActivityType;

    /**
     * 订单标签信息：1-新疆中转
     */
    private String orderLabels;

    /**
     * 是否支持拆单发货
     */
    private String enableSplitDeliveryOrderb;

    /**
     * 运费补贴
     */
    private Long allowanceExpressFee;

    /**
     * 支付营销优惠
     */
    private Long payChannelDiscount;

    /**
     * 以旧换新先用后付抵扣金额
     */
    private Long tradeInPayAfterPromoAmount;

    /**
     * 政府补贴金额
     */
    private Long governmentDiscount;

    /**
     * 快手商品skuid
     */
    private Long skuId;

    /**
     * 服务商商品skuid
     */
    private Long relSkuId;

    /**
     * sku商品规格快照
     */
    private String skuDesc;

    /**
     * sku编码
     */
    private String skuNick;

    /**
     * 商品ID
     */
    private Long itemId;

    /**
     * 服务商商品id
     */
    private Long relItemId;

    /**
     * 商品名称
     */
    private String itemTitle;

    /**
     * 商品链接
     */
    private String itemLinkUrl;

    /**
     * 商品图片地址
     */
    private String itemPicUrl;

    /**
     * sku数量
     */
    private Long num;

    /**
     * 商品促销前单价快照，单位为分
     */
    private Long originalPrice;

    /**
     * 商品折扣金额，单位为分
     */
    private Long itemDiscountFee;

    /**
     * 商品单价
     */
    private Long price;

    /**
     * 1自建商品 2 闪电购商品
     */
    private Long itemType;

    /**
     * sku修改之前原商品信息
     */
    private String itemPrevInfo;

    /**
     * 外部货品编码
     */
    private String goodsCode;

    /**
     * 快手仓库编码
     */
    private String warehouseCode;

    /**
     * 电子凭证券码库ID
     */
    private Long goodStoreCode;

    /**
     * 服务标签
     */
    private String serviceRule;

    /**
     * 是否使用运费险
     */
    private String freight;

    /**
     * 运费险提供者类型
     */
    private Long freightProviderType;

    /**
     * 首单保障
     */
    private String firstOrderGuarantee;

    /**
     * 急速发货 1是 0否
     */
    private Long instantDelivery;

    /**
     * 急速退款
     */
    private String instantRefund;

    /**
     * 假一赔N
     */
    private String compensateFake;

    /**
     * 服务规则
     */
    private String serviceRuleInfo;

    /**
     * 类目信息
     */
    private String categoryInfo;

    /**
     * 订单退款信息，返回最新的一个，若要获取当前订单关联所有退款单，可通过退款单列表API获取
     */
    private String orderRefundList;

    /**
     * 订单物流信息，发货前也会展示物流轨迹，详情见https://edu.kwaixiaodian.com/bbs/web/article?id=19892&layoutType=4
     */
    private String orderLogisticsInfo;

    /**
     * 订单插旗备注，按照创建时间逆序，最新的在第一个，最多返回30条
     */
    private String orderNote;

    /**
     * 收货人姓名加密密文，若为空请勿发货，disableDeliveryReasonCode有值时表示履约拦截，不返回值，可查看《订单解决方案》
     */
    private String encryptedConsignee;

    /**
     * 收货人姓名脱敏信息，用于展示，disableDeliveryReasonCode有值时表示履约拦截，不返回值
     */
    private String desensitiseConsignee;

    /**
     * 收货人手机号加密密文，若为空请勿发货，disableDeliveryReasonCode有值时表示履约拦截，不返回值，可查看《订单解决方案》
     */
    private String encryptedMobile;

    /**
     * 收货人手机号脱敏信息， 用于展示，disableDeliveryReasonCode有值时表示履约拦截，不返回值
     */
    private String desensitiseMobile;

    /**
     * 收货省份编码
     */
    private Long provinceCode;

    /**
     * 收货省
     */
    private String province;

    /**
     * 收货城市编码
     */
    private Long cityCode;

    /**
     * 收货城市
     */
    private String city;

    /**
     * 收货区编码
     */
    private Long districtCode;

    /**
     * 收货区
     */
    private String district;

    /**
     * 收货街道编码
     */
    private Long townCode;

    /**
     * 收货街道
     */
    private String town;

    /**
     * 收货详细地址加密密文，若为空请勿发货，disableDeliveryReasonCode有值时表示履约拦截，不返回值
     */
    private String encryptedAddress;

    /**
     * 收货详细地址脱敏信息，用于展示，disableDeliveryReasonCode有值时表示履约拦截，不返回值
     */
    private String desensitiseAddress;

    /**
     * 虚拟商品充值信息
     */
    private String rechargeAccount;

    /**
     * 用户收货地址坐标信息
     */
    private String coordinateInfo;

    /**
     * 订单阶段信息
     */
    private String orderStepInfo;

    /**
     * 分销者的ID
     */
    private Long distributorId;

    /**
     * 分销者名称
     */
    private String distributorName;

    /**
     * 订单发货信息
     */
    private String orderDeliveryInfo;

    /**
     * 附属单信息
     */
    private String subOrderInfo;

    /**
     * 订单创建时间（转化为YYYYMMDD）
     */
    private Long statDate;

    /**
     * 订单创建时间
     */
    private Integer statHour;
    /**
     * 订单创建时间
     */
    private String createTime;
    /**
     * 订单更新时间
     */
    private String updateTime;

    /**
     * 买家留言
     */
    private String remark;

    public KwaixiaodianOrderCursorList() {
    }

    public KwaixiaodianOrderCursorList(KuaishouAccessToken token, JSONObject object) {
        this.setShopId(Long.valueOf(token.getId()));
        this.setShopName(token.getShopName());
        this.setCompanyId(token.getCompanyId());
        this.setCompanyName(token.getCompanyName());

        JSONObject orderBaseInfo = object.getJSONObject("orderBaseInfo");
        if (Check.isNotNull(orderBaseInfo)) {
            this.setOid(orderBaseInfo.getLong("oid"));
            if (!Check.isNull(orderBaseInfo.getLong("payTime"))) {
                this.setPayTime(Long.valueOf(DateUtils.timestamptoStr(orderBaseInfo.getLong("payTime"))));
            }
            this.setBuyerImage(orderBaseInfo.getString("buyerImage"));
            this.setBuyerOpenId(orderBaseInfo.getString("buyerOpenId"));
            this.setBuyerNick(orderBaseInfo.getString("buyerNick"));
            this.setSellerOpenId(orderBaseInfo.getString("sellerOpenId"));
            this.setDiscountFee(orderBaseInfo.getLong("discountFee"));
            this.setTotalFee(orderBaseInfo.getLong("totalFee"));
            this.setStatus(orderBaseInfo.getLong("status"));
            if (!Check.isNull(orderBaseInfo.getLong("sendTime"))) {
                this.setSendTime(Long.valueOf(DateUtils.timestamptoStr(orderBaseInfo.getLong("sendTime"))));
            }
            if (!Check.isNull(orderBaseInfo.getLong("refundTime"))) {
                this.setRefundTime(Long.valueOf(DateUtils.timestamptoStr(orderBaseInfo.getLong("refundTime"))));
            }

            this.setCreateTime(orderBaseInfo.getString("createTime"));
            this.setStatDate(Long.valueOf(DateUtils.timestamptoStr(orderBaseInfo.getLong("createTime"))));
            this.setStatHour(DateUtils.timestamptoHour(orderBaseInfo.getLong("createTime")));
            this.setUpdateTime(orderBaseInfo.getString("updateTime"));
            this.setRemark(orderBaseInfo.getString("remark"));
            this.setTheDayOfDeliverGoodsTime(orderBaseInfo.getLong("theDayOfDeliverGoodsTime"));
            this.setPromiseTimeStampOfDelivery(orderBaseInfo.getLong("promiseTimeStampOfDelivery"));
            this.setCpsType(orderBaseInfo.getLong("cpsType"));
            this.setValidPromiseShipmentTimeStamp(orderBaseInfo.getLong("validPromiseShipmentTimeStamp"));
            this.setPreSale(orderBaseInfo.getLong("preSale"));
            if (!Check.isNull(orderBaseInfo.getLong("recvTime"))) {
                this.setRecvTime(Long.valueOf(DateUtils.timestamptoStr(orderBaseInfo.getLong("recvTime"))));
            }
            this.setCoType(orderBaseInfo.getLong("coType"));
            this.setCommentStatus(orderBaseInfo.getLong("commentStatus"));
            this.setPayType(orderBaseInfo.getLong("payType"));
            this.setRiskCode(orderBaseInfo.getLong("riskCode"));
            this.setPayChannel(orderBaseInfo.getString("payChannel"));
            this.setSellerDelayPromiseTimeStamp(orderBaseInfo.getLong("sellerDelayPromiseTimeStamp"));
            this.setPriorityDelivery(orderBaseInfo.getString("priorityDelivery"));
            this.setRemindShipmentSign(orderBaseInfo.getLong("remindShipmentSign"));
            this.setRemindShipmentTime(orderBaseInfo.getLong("remindShipmentTime"));
            this.setOrderSellerRoleInfo(orderBaseInfo.getString("orderSellerRoleInfo"));
            this.setDisableDeliveryReasonCode(orderBaseInfo.getString("disableDeliveryReasonCode"));
            this.setOrderLabels(orderBaseInfo.getString("orderLabels"));
            this.setEnableSplitDeliveryOrderb(orderBaseInfo.getString("enableSplitDeliveryOrder"));
            this.setSellerNick(orderBaseInfo.getString("sellerNick"));
            this.setExpressFee(orderBaseInfo.getLong("expressFee"));
            this.setMultiplePiecesNo(orderBaseInfo.getLong("multiplePiecesNo"));
            this.setAllActivityType(orderBaseInfo.getString("allActivityType"));
            this.setAllowanceExpressFee(orderBaseInfo.getLong("allowanceExpressFee"));
            this.setPayChannelDiscount(orderBaseInfo.getLong("payChannelDiscount"));
            this.setTradeInPayAfterPromoAmount(orderBaseInfo.getLong("tradeInPayAfterPromoAmount"));
            this.setGovernmentDiscount(orderBaseInfo.getLong("governmentDiscount"));
        }

        JSONObject orderItemInfo = object.getJSONObject("orderItemInfo");
        if (Check.isNotNull(orderItemInfo)) {
            this.setSkuId(orderItemInfo.getLong("skuId"));
            this.setRelSkuId(orderItemInfo.getLong("relSkuId"));
            this.setSkuDesc(orderItemInfo.getString("skuDesc"));
            this.setSkuNick(orderItemInfo.getString("skuNick"));
            this.setItemId(orderItemInfo.getLong("itemId"));
            this.setRelItemId(orderItemInfo.getLong("relItemId"));
            this.setItemTitle(orderItemInfo.getString("itemTitle"));
            this.setItemLinkUrl(orderItemInfo.getString("itemLinkUrl"));
            this.setItemPicUrl(orderItemInfo.getString("itemPicUrl"));
            this.setNum(orderItemInfo.getLong("num"));
            this.setOriginalPrice(orderItemInfo.getLong("originalPrice"));
            this.setItemDiscountFee(orderItemInfo.getLong("discountFee"));
            this.setPrice(orderItemInfo.getLong("price"));
            this.setItemType(orderItemInfo.getLong("itemType"));
            this.setItemPrevInfo(orderItemInfo.getString("itemPrevInfo"));
            this.setGoodsCode(orderItemInfo.getString("goodsCode"));
            this.setWarehouseCode(orderItemInfo.getString("warehouseCode"));
            this.setGoodStoreCode(orderItemInfo.getLong("goodStoreCode"));
            if (Check.isNotNull(orderItemInfo.getJSONObject("serviceInfo"))) {
                this.setServiceRule(orderItemInfo.getJSONObject("serviceInfo").getString("serviceRule"));
                this.setFreight(orderItemInfo.getJSONObject("serviceInfo").getString("freight"));
                this.setFreightProviderType(orderItemInfo.getJSONObject("serviceInfo").getLong("freightProviderType"));
                this.setFirstOrderGuarantee(orderItemInfo.getJSONObject("serviceInfo").getString("firstOrderGuarantee"));
                this.setInstantDelivery(orderItemInfo.getJSONObject("serviceInfo").getLong("instantDelivery"));
                this.setInstantRefund(orderItemInfo.getJSONObject("serviceInfo").getString("instantRefund"));
                this.setCompensateFake(orderItemInfo.getJSONObject("serviceInfo").getString("compensateFake"));
                this.setServiceRuleInfo(orderItemInfo.getJSONObject("serviceInfo").getString("serviceRuleInfo"));
            }
            if (Check.isNotNull(orderItemInfo.getJSONObject("itemExtra"))) {
                this.setCategoryInfo(orderItemInfo.getJSONObject("itemExtra").getString("categoryInfo"));
            }
        }

        JSONObject orderAddress = object.getJSONObject("orderAddress");
        if (Check.isNotNull(orderAddress)) {
            this.setEncryptedConsignee(orderAddress.getString("encryptedConsignee"));
            this.setDesensitiseConsignee(orderAddress.getString("desensitiseConsignee"));
            this.setEncryptedMobile(orderAddress.getString("encryptedMobile"));
            this.setDesensitiseMobile(orderAddress.getString("desensitiseMobile"));
            this.setProvinceCode(orderAddress.getLong("provinceCode"));
            this.setProvince(orderAddress.getString("province"));
            this.setCityCode(orderAddress.getLong("cityCode"));
            this.setCity(orderAddress.getString("city"));
            this.setDistrictCode(orderAddress.getLong("districtCode"));
            this.setDistrict(orderAddress.getString("district"));
            this.setTownCode(orderAddress.getLong("townCode"));
            this.setTown(orderAddress.getString("town"));
            this.setEncryptedAddress(orderAddress.getString("encryptedAddress"));
            this.setDesensitiseAddress(orderAddress.getString("desensitiseAddress"));
            this.setRechargeAccount(orderAddress.getString("rechargeAccount"));
            this.setCoordinateInfo(orderAddress.getString("coordinateInfo"));
        }

        JSONObject orderCpsInfo = object.getJSONObject("orderCpsInfo");
        if (Check.isNotNull(orderCpsInfo)) {
            this.setDistributorId(orderCpsInfo.getLong("distributorId"));
            this.setDistributorName(orderCpsInfo.getString("distributorName"));
        }

        this.setOrderRefundList(object.getString("orderRefundList"));
        this.setOrderLogisticsInfo(object.getString("orderLogisticsInfo"));
        this.setOrderNote(object.getString("orderNote"));
        this.setOrderStepInfo(object.getString("orderStepInfo"));
        this.setOrderDeliveryInfo(object.getString("orderDeliveryInfo"));
        this.setSubOrderInfo(object.getString("subOrderInfo"));
    }

}
