package com.ruixuan.jinniu.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruixuan.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 账户转让记录对象 kuaishou_transfer_account
 *
 * @author ruoyi
 * @date 2023-03-16
 */
@Data
@ApiModel(value = "kuaishou_transfer_account", description = "账户转让记录")
public class KuaishouTransferAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 操作人
     */
    @ApiModelProperty(name = "操作人")
    private Long userId;

    /**
     * 转户账号
     */
    @ApiModelProperty(name = "转户账号")
    private Long accountId;

    /**
     * 项目id
     */
    @ApiModelProperty(name = "项目id")
    private Long projectId;

    /**
     * 转让人
     */
    @ApiModelProperty(name = "转让人")
    private Long transferor;

    /**
     * 受让人
     */
    @ApiModelProperty(name = "受让人")
    private Long assignee;

    /**
     * 转户人绩效统计截止日期
     */
    @ApiModelProperty(name = "转户人绩效统计截止日期")
    private String transferorDate;

    /**
     * 受让人绩效统计开始日期
     */
    @ApiModelProperty(name = "受让人绩效统计开始日期")
    private String assigneeDate;

    /**
     * 审核人
     */
    @ApiModelProperty(name = "审核人")
    private String auditor;

    /**
     * 审核状态 0：新建 1:通过 2：拒绝
     */
    @ApiModelProperty(name = "审核状态 0：新建 1:通过 2：拒绝")
    private Integer status;

    /**
     * 备注
     */
    @ApiModelProperty(name = "备注")
    private String remarks;
    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    List<Long> userList;
    private String accountName;
    private String projectName;

}