package com.ruixuan.live.mapper;

import com.ruixuan.live.entity.KuaishouLiveBroadcastFiles;
import com.ruixuan.live.entity.KuaishouLiveCustomer;

import java.util.List;

/**
 * 客户管理Mapper接口
 *
 * @author ruoyi
 * @date 2022-08-01
 */
public interface KuaishouLiveCustomerMapper
{
    /**
     * 查询客户管理
     *
     * @param ksId 客户管理主键
     * @return 客户管理
     */
    public KuaishouLiveCustomer selectKuaishouLiveCustomerByKsId(Long ksId);

    /**
     * 查询客户管理列表
     *
     * @param kuaishouLiveCustomer 客户管理
     * @return 客户管理集合
     */
    public List<KuaishouLiveCustomer> selectKuaishouLiveCustomerList(KuaishouLiveCustomer kuaishouLiveCustomer);

    /**
     * 新增客户管理
     *
     * @param kuaishouLiveCustomer 客户管理
     * @return 结果
     */
    public int insertKuaishouLiveCustomer(KuaishouLiveCustomer kuaishouLiveCustomer);

    /**
     * 修改客户管理
     *
     * @param kuaishouLiveCustomer 客户管理
     * @return 结果
     */
    public int updateKuaishouLiveCustomer(KuaishouLiveCustomer kuaishouLiveCustomer);

    /**
     * 删除客户管理
     *
     * @param ksId 客户管理主键
     * @return 结果
     */
    public int deleteKuaishouLiveCustomerByKsId(Long ksId);

    /**
     * 批量删除客户管理
     *
     * @param ksIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveCustomerByKsIds(Long[] ksIds);
}