package com.ruixuan.salesLeads.pojo;


import com.ruixuan.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 财务政策信息表
 * @CreateDate: 2022-05-19
 * ****************************************************
 */

@Data
@ApiModel(value = "saleFinancePolicyInfoPojo", description = "财务政策信息表")
public class SaleFinancePolicyInfoPojo {

    public static final String POLICY_APPROVAL_USER = "123";




    private int id;

    @ApiModelProperty(value = "快手id")
    private Long ksId;
    /**公司名称*/
    @ApiModelProperty(value = "公司名称")
    private String companyName;
    /**广告主id*/
    @ApiModelProperty(value = "广告主名称")
    private String advertiserName;

    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "投放类型")
    private String releaseType;

    @ApiModelProperty(value = "我司主体")
    private Integer companySubjectId;

    /**运营方式： 0:自运营  1:代运营*/
    @Excel(name = "运营方式： 0:自运营  1:代运营", width = 15)
    @ApiModelProperty(value = "运营方式： 0:自运营  1:代运营")
    private Integer promotionType;

    /**是否预付：0：否  1：是*/
    @ApiModelProperty(value = "是否预付：0：否  1：是 ")
    private Integer advancePay;


    /**返点类型：0:返现  1:返货   2:返现+返货*/
    @ApiModelProperty(value = "返点类型：0:返现  1:返货   2:返现+返货")
    private Integer rebateType;
    /**返点比例*/
    @ApiModelProperty(value = "返点比例")
    private BigDecimal rebateRate;

    /**账期*/
    @Excel(name = "账期", width = 15)
    @ApiModelProperty(value = "账期")
    private String accountingPeriod;

    @ApiModelProperty(value = "操盘结算类型：1:服务费   2:货品佣金")
    private Integer operateSettlementType;
    
    @ApiModelProperty(value = "0:草稿 1：待审核 2:审核中 3：审核通过4：审核拒绝")
    private Integer approvedStatus;


    @ApiModelProperty(value = "审核进度，当前该谁审核,审核人")
    private String approvedProgress;


    /**政策开始时间*/
    @ApiModelProperty(value = "政策开始时间")
    private String policyStartDate;
    /**政策结束时间*/
    @Excel(name = "政策结束时间", width = 15)
    @ApiModelProperty(value = "政策结束时间")
    private String policyEndDate;
    /**备注：如果没人填的话记录被拒次数*/
    @ApiModelProperty(value = "备注")
    private Object remarks;

    @ApiModelProperty(value = "销售id")
    private int saleId;
    @ApiModelProperty(value = "销售姓名")
    private String saleName;


    @ApiModelProperty(value = "删除状态（0，正常，1已删除）")
    private Integer delFlag;
    /**销售人员(信息创建人)*/
    @ApiModelProperty(value = "创建人")
    private String createUserId;
    private Date createTime;

}
