package com.ruixuan.system.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.annotation.DataScope;
import com.ruixuan.common.constant.UserConstants;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.common.core.domain.entity.SysRole;
import com.ruixuan.common.core.domain.entity.SysUser;
import com.ruixuan.common.exception.ServiceException;
import com.ruixuan.common.utils.SecurityUtils;
import com.ruixuan.common.utils.StringUtils;
import com.ruixuan.common.utils.bean.BeanValidators;
import com.ruixuan.common.utils.spring.SpringUtils;
import com.ruixuan.system.domain.SysIndustryInfo;
import com.ruixuan.system.domain.SysPost;
import com.ruixuan.system.domain.SysUserPost;
import com.ruixuan.system.domain.SysUserRole;
import com.ruixuan.system.mapper.*;
import com.ruixuan.system.service.ISysConfigService;
import com.ruixuan.system.service.ISysIndustryService;
import com.ruixuan.system.service.ISysUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;
import javax.validation.Validator;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 行业分类
 * 
 * @author zian Y
 */
@Service
public class SysIndustryServiceImpl implements ISysIndustryService
{
    private static final Logger log = LoggerFactory.getLogger(SysIndustryServiceImpl.class);


    @Resource
    private SysIndustryInfoMapper sysIndustryInfoMapper;


    @Override
    public ResultResponse getIndustryInfoList() {
        List<SysIndustryInfo> list = sysIndustryInfoMapper.getIndustryInfoList();
        return ResultResponse.successMsg("查询全部行业成功。",list);


    }



}
